#include <iostream>
using namespace std;

long long a[1000000];

int main()
{
	long long n,x,min,max,r;
	cin>>n>>x;
	for(int i=0;i<n;i++)
	cin>>a[i];
	min=a[0];
	max=a[0];
	for(long long i=1;i<n;i++)
	{
		if(a[i]<min) min=a[i];
		if(a[i]>max) max=a[i];
	}
	if(min>x) r=max-x;
	if(max<x) r=x-min;
	if(min<x && max>x) r=x-2*min+max;
	cout<<r;
}